New host form network tab validations are broken

10/25/2016 02:43 AM - Lukas Zapletal
Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  
Pull request:    

Description

With Foreman 1.13, it looks like I can create invalid hosts with:

A) two same MAC addresses

B) empty or same NIC identifiers

When I try to Edit Host and Submit it without any change, now validations trigger correctly. Looks like we need to execute those

validations for new hosts as well as existing hosts. In the NIC codebase we have this remark:

# we can't use standard unique validation on interface since we can't properly handle :scope => :h

ost_id

# for new hosts host_id does not exist at that moment, validation would work only for persisted re

cords

 Therefore it looks like this kind of validation (for new hosts) was done in JavaScript and there was a regression there.

Related issues:

Related to Foreman - Bug #17083: TFTP orchestration is silently skipped when ... Closed 10/25/2016

History

#1 - 10/25/2016 02:45 AM - Lukas Zapletal

- Related to Bug #17083: TFTP orchestration is silently skipped when there is an AR error  added

#2 - 12/22/2016 04:37 AM - Marek Hulán

- Status changed from New to Duplicate

I think A) a dupe of #16782 and B) of #15238, please reopen if I misunderstood.
